﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GifittiUnitTest.Helper
{
    static class UnitTestHelper
    {
        public const string INPUT_GIF = @"res\Input.gif";
        public const string SUB_GIF_EXPECTED = @"res\SubInput_S10E16.gif";

        public static bool PxByPxCompare(Image a, Image b){
            if ((a as Bitmap).Equals(b as Bitmap))
                return true;
            var aB = a as Bitmap;
            var bB = b as Bitmap;
            for(int i = 0; i < aB.Width; i++)
                for(int j = 0; j < aB.Height; j++)
                    if (!aB.GetPixel(i, j).Equals(bB.GetPixel(i, j)))
                        return false;
            //EQUAL IMAGES
            return true;
        }
    }
}
